# Oracle Suspicious Command Execution

## Metadata

**OS:** WindowsEndpoint, WindowsServer

**FP Rate:** Low

---

## ATT&CK Tags

| Tactic | Technique | Subtechnique | Technique Name |
|---|---|---| --- |
| TA0008 - Lateral Movement | T1210 |  | Exploitation of Remote Services|
| TA0004 - Privilege Escalation | T1611 |  | Escape to Host|

## Utilized Data Sources

| Log Provider | Event ID | Event Name | ATT&CK Data Source |
|---------|---------|----------|---------|
|MDE|DeviceProcessEvents|||
---

## Technical description of the attack
The query searches process creation events that are indicative of an attacker spawning OS commands from an Oracle database.


## Permission required to execute the technique
User

## Detection description
Atackers can use database systems such as Oracle to laterally move through the network by using command execution functionality in these databases.


## Considerations
None


## False Positives
Some legitimate Oracle plugins will also perform command execution, such plugins will have to be whitelisted.


## Suggested Response Actions
Investigate the source of the command being executed. This could be indicative of an attacker attempting to perform lateral movement.


## Detection Blind Spots
None


## References
* https://github.com/0xdea/exploits/blob/master/oracle/raptor_oraexec.sql

---

## Detection

**Language:** Kusto

**Platform:** M365 Security

**Query:**
```C#
let timeframe= 1h;
DeviceProcessEvents
| where Timestamp >= ago(timeframe)
| where InitiatingProcessFileName =~ "oracle.exe"
| where not(FileName in~ ("conhost.exe", "oradim.exe"))
// Client specific whitelist
```


---

## Version History
| Version | Date | Impact | Notes |
|---------|------|--------|------|
| 1.0  | 2021-11-26| major | Initial version |